JNA API 3.3.0

## com.sun.jna.platform.win32
Class BaseTSD.SIZE_T

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.BaseTSD.ULONG_PTR
                  com.sun.jna.platform.win32.BaseTSD.SIZE_T

All Implemented Interfaces:
  NativeMapped, Serializable

Enclosing interface:
  BaseTSD

    public static class BaseTSD.SIZE_T

extends BaseTSD.ULONG_PTR

The maximum number of bytes to which a pointer can point. Use for a count that must span the full range of a pointer.

See Also:
  Serialized Form

Constructor Summary
`BaseTSD.SIZE_T()`
`BaseTSD.SIZE_T(long value)`

Method Summary

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseTSD.SIZE_T

    public BaseTSD.SIZE_T()

### BaseTSD.SIZE_T

    public BaseTSD.SIZE_T(long value)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.